--Obtener el detalle de las ventas realizadas en aquellas tiendas que estn en el estado de California.
--Se explora la alternativa usando subconsultas, y sin ellas.

--Opcin con subconsultas
Select * from sales 
Where stor_id 
IN (select stor_id from stores where state='CA')

--Opcin sin subconsulta
Select sales.* from sales, stores 
Where sales.stor_id = stores.stor_id and 
stores.state='CA'

-----------------------------------------------------------------------------------------------------------

--Generando una consulta compleja para producir un consolidado de cantidad de ventas, por ao y librera.
--Esta consulta se almacenar en una tabla temporal local.   Comprobando su existencia con una consulta.
Use pubs
Select 
	stores.stor_name,
	Y1992=ISNULL(SUM(case 
		when datepart(yy,sales.ord_date)=1992 
		then sales.qty end),0),
	Y1993=ISNULL(SUM(case 
		when datepart(yy,sales.ord_date)=1993 
		then sales.qty end),0),
	Y1994=ISNULL(SUM(case 
		when datepart(yy,sales.ord_date)=1994 
		then sales.qty end),0)
Into #consolidado
From
	stores, sales
Where
	stores.stor_id = sales.stor_id
Group by
	stores.stor_name
Order by
	stores.stor_name
-- Mostrando los datos de consolidado
select * from #consolidado
-- Eliminando la tabla temporal
drop table #consolidado

-----------------------------------------------------------------------------------------------------------

--Generando una consulta que produzca la unin de ciertos datos de la tabla employee y ciertos datos de la tabla jobs.
Use pubs
Select 
	Clave = emp_id,
	Valor = (fname + ' ' + lname) 
From 
	employee
UNION ALL
Select 
	str(job_id),
	job_desc 
From 
	Jobs

-----------------------------------------------------------------------------------------------------------

--Obtener el listado de ventas de ttulos, que incluya incluso aquellos que no se hayan vendido.

USE pubs
SELECT 
	titles.title, 
	sales.ord_num
FROM 
	titles LEFT OUTER JOIN sales 
	ON titles.title_id = sales.title_id
ORDER BY
	titles.title

