--Consulta de detalle de ventas, en caso de requerirse un filtro de informacin, donde slo aparezcan aquellos
--ttulos que cuestan entre $7 y $12.
USE pubs
SELECT
		sales.title_id,
		sales.ord_num,
		titles.title,
		titles.type,
		titles.price,
		sales.qty,
		Importe = (sales.qty * titles.price)
FROM
		sales,
		titles
WHERE
		sales.title_id = titles.title_id AND
		titles.price BETWEEN 7 AND 12

--------------------------------------------------------------------------------

--Consulta de detalle de ventas, en caso de requerirse un filtro de informacin, donde slo aparezcan aquellos
--ttulos cuyo precio NO EST entre $7 y $12.
USE pubs
SELECT
		sales.title_id,
		sales.ord_num,
		titles.title,
		titles.price,
		sales.qty,
		Importe = (sales.qty * titles.price)
FROM
		sales,
		titles
WHERE
		sales.title_id = titles.title_id AND
		titles.price NOT BETWEEN 7 AND 12

--------------------------------------------------------------------------------

--Consulta de detalle de ventas, en caso de requerirse un filtro de informacin, donde slo aparezcan 
--aquellos ttulos cuyo tipo de gnero sea negocios ( business) o sicologa (psychology).
USE pubs
SELECT
		sales.title_id,
		sales.ord_num,
		titles.title,
		titles.type,
		titles.price,
		sales.qty,
		Importe = (sales.qty * titles.price)
FROM
		sales,
		titles
WHERE
		sales.title_id = titles.title_id AND
		titles.type IN (business, psychology)


--------------------------------------------------------------------------------

--Consulta de detalle de ventas, en caso de requerirse un filtro de informacin, donde slo aparezcan 
--aquellos ttulos cuyo tipo de gnero NO SEA negocios (business) o sicologa (psychology).
USE pubs
SELECT
		sales.title_id,
		sales.ord_num,
		titles.title,
		titles.type,
		titles.price,
		sales.qty,
		Importe = (sales.qty * titles.price)
FROM
		sales,
		titles
WHERE
		sales.title_id = titles.title_id AND
		titles.type NOT IN (business, psychology)


--------------------------------------------------------------------------------

--Consulta de detalle de ventas, en caso de  requerirse un filtro de informacin, donde slo aparezcan 
--aquellos ttulos cuyo ttulo comience con The, sin importar lo que siga.
USE pubs
SELECT
		sales.title_id,
		sales.ord_num,
		titles.title,
		titles.type,
		titles.price,
		sales.qty,
		Importe = (sales.qty * titles.price)
FROM
		sales,
		titles
WHERE
		sales.title_id = titles.title_id AND
		titles.title LIKE The%


--------------------------------------------------------------------------------

--Consulta de detalle de ventas, en caso de  requerirse un filtro de informacin, donde slo aparezcan 
--aquellos ttulos que contengan la palabra computer, donde quiera que se encuentre.
USE pubs
SELECT
		sales.title_id,
		sales.ord_num,
		titles.title,
		titles.type,
		titles.price,
		sales.qty,
		Importe = (sales.qty * titles.price)
FROM
		sales,
		titles
WHERE
		sales.title_id = titles.title_id AND
		titles.title LIKE %computer%

--------------------------------------------------------------------------------

--Consulta de detalle de ventas, en caso de  requerirse un filtro de informacin, donde slo aparezcan 
--aquellos ttulos que comiencen con A, B, o C, sin importar qu siga despus, o bien, cuya segunda letra 
--sea o, sin importar que letra es la anterior, ni qu letras sigan despus.
USE pubs
SELECT
		sales.title_id,
		sales.ord_num,
		titles.title,
		titles.type,
		titles.price,
		sales.qty,
		Importe = (sales.qty * titles.price)
FROM	
		sales,
		titles
WHERE
		sales.title_id = titles.title_id AND
		(titles.title LIKE [A,B,C]% OR
		titles.title LIKE _h%)

--------------------------------------------------------------------------------

--Consulta que lista los ttulos correspondientes a las ventas realizadas.   
USE pubs
SELECT
		titles.title
FROM
		sales,
		titles
WHERE
		sales.title_id = titles.title_id

--------------------------------------------------------------------------------

--Consulta que lista los ttulos que se han vendido al menos una vez.   
USE pubs
SELECT DISTINCT
				titles.title
FROM
				sales,
				titles
WHERE
				sales.title_id = titles.title_id

--------------------------------------------------------------------------------

--Consulta de detalle de ventas, organizado  alfabticamente por tipo de gnero en primera instancia, 
--y alfabticamente por ttulo, en segunda instancia.    Uso de nombres de campo.
USE pubs
SELECT
		sales.title_id,
		sales.ord_num,
		titles.title,
		titles.type,
		titles.price,
		sales.qty,
		Importe = (sales.qty * titles.price)
FROM
		sales,
		titles
WHERE
		sales.title_id = titles.title_id
ORDER BY
		titles.type, titles.title

--------------------------------------------------------------------------------

--Consulta de detalle de ventas, organizado  alfabticamente por tipo de gnero en primera instancia, 
--y alfabticamente por ttulo, en segunda instancia.    Uso de nmero ordinal.
USE pubs
SELECT
		sales.title_id,
		sales.ord_num,
		titles.title,
		titles.type,
		titles.price,
		sales.qty,
		Importe = (sales.qty * titles.price)
FROM
		sales,
		titles
WHERE
		sales.title_id = titles.title_id
ORDER BY
		1,2

--------------------------------------------------------------------------------

--Consulta de detalle de ventas, empezando por las ventas de los ttulos ms baratos a los ms caros.
USE pubs
SELECT
		sales.title_id,
		sales.ord_num,
		titles.title,
		titles.type,
		titles.price,
		sales.qty,
		Importe = (sales.qty * titles.price)
FROM
		sales,
		titles
WHERE
		sales.title_id = titles.title_id
ORDER BY
		titles.price


--------------------------------------------------------------------------------

--Consulta de detalle de ventas, empezando por las ventas de los ttulos ms caros a los ms baratos.
USE pubs
SELECT
		sales.title_id,
		sales.ord_num,
		titles.title,
		titles.type,
		titles.price,
		sales.qty,
		Importe = (sales.qty * titles.price)
FROM
		sales,
		titles
WHERE
		sales.title_id = titles.title_id
ORDER BY
		titles.price DESC

--------------------------------------------------------------------------------

--Consulta de detalle de ventas, las 10 operaciones ms redituables (de mayor importe).
USE pubs
SELECT TOP 10
		sales.title_id,
		sales.ord_num,
		titles.title,
		titles.type,
		titles.price,
		sales.qty,
		Importe = (sales.qty * titles.price)
FROM
		sales,
		titles
WHERE
		sales.title_id = titles.title_id
ORDER BY
		Importe DESC









































