--Obtener el nmero de registros de la tabla EMPLOYEE.

Use pubs
Select 
		Count (*) 
From 
		Employee

-------------------------------------------------------------------------------------

--Obtener el nmero de empleados que son representantes de ventas (job_id = 13).

Use pubs
Select 
		count(*) 
From 
		employee
Where
		job_id = 13

-------------------------------------------------------------------------------------

--Obtener la venta ms alta en volumen.

Use pubs
Select 
	max(sales.qty) 
From 
	sales

-------------------------------------------------------------------------------------

--Obtener la venta ms alta en monto.

Use pubs
Select 
	max(sales.qty * titles.price) 
From 
	sales,
	titles
Where
	sales.title_id = titles.title_id

-------------------------------------------------------------------------------------

--Obtener el total de ttulos vendidos.

Use pubs
Select 
	sum(sales.qty) 
From 
	sales

-------------------------------------------------------------------------------------

--Obtener el monto total de ventas obtenidas en el ao de 1993.

Use pubs
Select 
	sum(sales.qty * titles.price) 
From 
	sales,
	titles
Where
	sales.title_id = titles.title_id and
	datepart(yy,sales.ord_date) = 1993

-------------------------------------------------------------------------------------

--El siguiente script (genera error cul es la causa?)

Use pubs
Select 
	titles.title_id,
titles.title,
	sum(sales.qty) 
From 
	sales,
	titles
Where
	sales.title_id = titles.title_id
Group by
	titles.title

-------------------------------------------------------------------------------------

--Relacin de las ventas correspondientes a 1994.

Use pubs
Select * from sales 
Where datepart(yy,ord_date) = 1994

-------------------------------------------------------------------------------------

--Total de unidades vendidas por ttulo en 1994.

Use pubs
Select 
	titles.title,
	sum(sales.qty) 
From 
	sales,
	titles
Where
	sales.title_id = titles.title_id and
	datepart(yy,ord_date) = 1994
group by
	titles.title

-------------------------------------------------------------------------------------

--Total de unidades vendidas por ttulo en 1994, slo para aquellos ttulos que se hubieren vendido 
--en ms de 100 unidades.

Use pubs
Select 
	titles.title,
	sum(sales.qty) 
From 
	sales,
	titles
Where
	sales.title_id = titles.title_id and
	datepart(yy,ord_date) = 1994
Group by
	titles.title
Having
	sum(sales.qty) > 100

-------------------------------------------------------------------------------------

--Muestre el nmero de orden, fecha de la orden, y cantidad de ttulos vendidos, y al final, el clculo 
--de sumar el total de ttulos vendidos.

Use pubs
Select 
	ord_num,
	ord_date,
	qty
From 
	sales
Compute 
	sum(qty) 

-------------------------------------------------------------------------------------

--Muestre el nmero de orden, fecha de la orden, y cantidad de ttulos vendidos, 
--haciendo cortes por ao, y mostrando en cada corte el total de ttulos vendidos en el ao que se reporte.
Use pubs
Select 
	ord_num,
	ord_date,
	qty
From 
	sales
Order by
	datepart(yy,ord_date)
compute sum(qty) by datepart(yy,ord_date)

-------------------------------------------------------------------------------------

--Muestre el nmero de orden, fecha de la orden, y cantidad de ttulos vendidos, haciendo cortes por ao, 
--y mostrando en cada corte el total de ttulos vendidos en el ao que se reporte.
--Haga un gran total al final, de todo lo vendido en todos los aos.

Use pubs
Select 
	ord_num,
	ord_date,
	qty
From 
	sales
Order by
	datepart(yy,ord_date)
compute sum(qty) by datepart(yy,ord_date)
compute sum(qty)

-------------------------------------------------------------------------------------

--Muestre el resumen de monto de ventas, de cada una de las libreras.

Use pubs
Select 
	stores.stor_name,
	sum(sales.qty * titles.price)
From 
	sales,
	titles,
	stores
Where
	sales.title_id = titles.title_id and
	sales.stor_id = stores.stor_id
Group by
	stores.stor_name
order by
	stores.stor_name

-------------------------------------------------------------------------------------

--Muestre el resumen de monto de ventas, de cada una de las libreras.
--Agregue un gran total al final (vea cmo la funcin agregada se aplica sobre otra funcin agregada).
Use pubs
Select 
	stores.stor_name,
	sum(sales.qty * titles.price)
From 
	sales,
	titles,
	stores
Where
	sales.title_id = titles.title_id and
	sales.stor_id = stores.stor_id
Group by
	stores.stor_name
Order by
	stores.stor_name
compute sum(sum(sales.qty * titles.price))

-------------------------------------------------------------------------------------

--Atendiendo a las ventas, muestre el resumen de monto de ventas, de cada una de las libreras, 
--mostrando el total de lo vendido, por gnero.   Agregue un gran total al final.

Use pubs
Select
	stores.stor_name,
	titles.type,
	sum(sales.qty * titles.price)
From 
	sales,
	titles,
	stores
Where
	sales.title_id = titles.title_id and
	sales.stor_id = stores.stor_id
Group by
	stores.stor_name, titles.type
Order by
	stores.stor_name, titles.type
compute sum(sum(sales.qty * titles.price)) 
	by stores.stor_name
compute sum(sum(sales.qty * titles.price))

-------------------------------------------------------------------------------------

--Atendiendo a las ventas, muestre el resumen de monto de ventas, de cada una de las libreras,
--mostrando el total de lo vendido, por gnero.
--Incluya los gneros, aunque no se haya vendido ningn libro del mismo.
--Agregue un gran total al final.

Use pubs
Select
	stores.stor_name,
	titles.type,
	sum(sales.qty * titles.price)
From 
	sales,
	titles,
	stores
Where
	sales.title_id = titles.title_id and
	sales.stor_id = stores.stor_id
Group by ALL
	stores.stor_name, titles.type
Order by
	stores.stor_name, titles.type
compute sum(sum(sales.qty * titles.price)) 
by stores.stor_name
compute sum(sum(sales.qty * titles.price))

































