--Generando una vista en donde slo se incluyan los libros, sus tipos, y el nombre de sus autores.
--IMPORTANTE: Asegrese de trabajar con la base de datos Pubs. 
Create view LibrosAutores
as
Select 
	titles.title_id,
	titles.title,
	titles.type,
	authors.au_fname,
	authors.au_lname
From
	titles, authors, titleauthor
Where
	titles.title_id = titleauthor.title_id and
	authors.au_id = titleauthor.au_id 

-------------------------------------------------------------------------------

--Se genera un disparador, para que, cuando se agregue una donacin, automticamente se incremente el 
--monto aportado por actividad, que segn las reglas de negocio, se deber actualizar automticamente.
--Asegrese de estar en la base de datos CruzRoja.

CREATE TRIGGER IncrementaMonto
ON Donacion AFTER INSERT
AS
BEGIN
declare @Donador numeric
declare @Aportado money
declare @Actividad tinyint
Select @Donador = i.IDDonador, 
		@Aportado = i.Monto 
From inserted i

Select @Actividad = (select IDActividad 
				from donador 
				where IDDonador = @Donador)
If (select MontoAportado 
			from Actividad 
			where IDActividad = @Actividad) = 0
		update Actividad 
			set MontoAportado = @Aportado
			where IDActividad = @Actividad
else
		update Actividad 
			set MontoAportado = MontoAportado + @Aportado 
			where IDActividad = @Actividad
END

-----------------------------------------------------------------------------------

--Comprobacin del Trigger inmediato anterior
Select * from actividad where IDActividad = 1
begin transaction
	insert into DONADOR (NomDonador, 
		DirDonador, RFC, 
		IDTipoDonador, IDActividad)
	values('Felipe Ramirez',
		'Domicilio conocido','AAAA999999123',
		1, 1)
	If @@error <> 0 
	Begin
		raiserror('Error en operaciones',16,1)
		rollback transaction
	End
	Declare @UltimoAgregado integer
	Select @UltimoAgregado = (select max(IDDonador)
		from DONADOR)
	Select * from DONADOR
	insert into DONACION (FechaDonacion,
		IDDonador, Monto, IDMedio, IDEstado)
	Values (convert(datetime,'20/02/2005',103),
		@UltimoAgregado, 300.00, 1, 1)
	If @@error <> 0
	Begin
		raiserror('Error en operaciones',16,1)
		rollback transaction
	End
Commit transaction
Select * from actividad where IDActividad = 1

-----------------------------------------------------------------------------------

Ejemplo de creacin de una secuencia que generar cclicamente, nmeros enteros consecutivos de 0 a 3.

CREATE SEQUENCE SEQConsecutivos
AS tinyint
START WITH 0
INCREMENT BY 1
MAXVALUE 3
CYCLE;

-----------------------------------------------------------------------------------

--Se utiliza EXECUTE para ejecutar una instruccin construida.
--Se utilizar la base de datos Pubs, y la vista LibrosAutores que ya creamos.
Use pubs
Declare @NombreVista char(20)
declare @Estatuto char(50)
set @NombreVista = 'LibrosAutores'
set @Estatuto = 'select * from ' + @NombreVista
EXECUTE (@Estatuto)

























